Snapchat

List Snapchat Spotlight comments

List top-level comments on a Snapchat Spotlight video.

GET/v1/snapchat/spotlights/comments
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
2
urlstringrequiredquery

Link to the Snapchat Spotlight video.

min 1 chars · max 4096 chars

cursorstringoptionalquery

Pagination cursor from page.nextCursor of a previous response.

min 1 chars

Response fields
22

Endpoint-specific response payload.

datalookupStatus
string

Whether the Spotlight could be resolved for listing comments.

one of: found, not_found

Spotlight identity when resolved.

dataspotlightid
string

Spotlight snap identifier.

min 1 chars

dataspotlighturl
string

Canonical public Snapchat Spotlight URL.

min 1 chars

Top-level comments for the Spotlight.

datacomments[]id
stringnullable

Opaque Snapchat comment identifier when available.

datacomments[]text
string

Comment text.

datacomments[]createdAt
stringnullable

ISO-8601 timestamp when the comment was posted.

datacomments[]likeCount
integernullable

Like count on the comment when available.

≥ 0

datacomments[]replyCount
integernullable

Reply count on the comment when available.

≥ 0

Comment author.

datacomments[]authorid
stringnullable

Opaque Snapchat user identifier when available.

datacomments[]authordisplayName
stringnullable

Display name shown on the comment.

Pagination information for this response.

datapagehasMore
boolean

Whether another page is available.

datapagenextCursor
stringnullable

Cursor to pass in the next request when more pages exist; null on the last page.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

metacached
booleanoptional

True when served from shared response cache. Credits still apply (full endpoint price); Age header may be present.

Code example

curl "https://api.socialfetch.dev/v1/snapchat/spotlights/comments?url=https://www.snapchat.com/spotlight/W7_EDlXWTBiXAEEniNoMPwAAYdWhydHdsZWhwAaB_Ig5YAaB_FRlfAAAAAQ" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Spotlight comment listing.